Introduction
This API enables software components to retrieve data from the database of GetriebeSalat.de.
What German salad? GetriebeSalat.de is an online tool for planning, calculating and comparing vintage (read two stroke and hand shifted) Vespa scooter gearing setups by specifying primary gears, gearboxes and wheel sizes.
Note
This all would work perfectly,
- if all data in the database was complete. Please help me and submit as much information as you can, see here (in German): Model info, used primary gears, gear cluster, tyre size, VIN.
- if I had a little bit more time on my hands. I promise i'll try!
HTTP requests
Allowed HTTP methods are GET and HEAD. POST and
PUT may be supported in future with token based authorization. This server supports
HTTP/1.1, HTTP/2 and HTTP/3, both via IPv4
and IPv6 at the endpoint https://api.getriebesalat.de/v1/.
Current API version is 1.0, release
Wanking Weasel. Documentation revision is 2026-10-07.
Available endpoints
The following endpoints are available, [frame] being sf
for smallframe, lf for largeframe or
wf for wideframe; [id] being a unique ID like
139 in /v1/gears/139.
The internal [id] for primary gears and gearboxes are unique
throughout the database. For example gearbox ID 129 is only used
once (the standard V50 3-gear gearbox).
◼ means endpoint is implemented, ◼ means endpoint is not yet implemented.
| Endpoint | Returned data |
|---|---|
| ◼ /v1/help | Links to API and this documentation |
| ◼ /v1/stats | Database row count and modification timstamp |
| ◼ /v1/tyre | Get all tyres |
◼ /v1/tyre/[id] |
Get tyre with ID [id] |
| ◼ /v1/model | Get all models |
◼ /v1/model/[id] |
Get model with ID [id] |
◼ /v1/model/[frame] |
Get all models for [frame] |
◼ /v1/primary/[frame] |
Get all primary gear sets for [frame] |
◼ /v1/primary/[id] |
Get primary gear set with ID [id] |
◼ /v1/gears/[frame] |
Get all gearboxes for [frame] |
◼ /v1/gears/[id] |
Get gearbox with ID [id] |
◼ /v1/ratio/[model_id]/[primary_id]/[gearbox_id]/[tyre_id] |
Get complete gear ratio (crankshaft to asphalt) for model with ID
[model_id], primary gear set ID [primary_id], gearbox ID [gearbox_id] and tyre ID [tyre_id] |
◼ /v1/speed/[model_id]/[primary_id]/[gearbox_id]/[tyre_id] |
Get rpm to speed for model with ID
[model_id], primary gear set ID
[primary_id], gearbox ID [gearbox_id] and tyre ID [tyre_id] |
Response format
All responses are in JSON (RFC 8259) format using Unicode. Each response contains the following informational header elements:
- status (string): "success" or "error"
- message (string): HTTP response code and message, also sent as HTTP response headers (for example "200 OK")
- api_version (string): Version and release information
- uri (string): The requested path
- token (string): An unique query token for future use
- timestamp (integer): UNIX timestamp of request
and one data element:
- data (null|array):
Nullif empty result/no match/error or an array with one or more entries
Sample response
{
"status": "success",
"message": "200 OK",
"api_version": "1.0 (Wanking Weasel)",
"uri": "/v1/reifen/",
"token": "salat-AEP8D3ta52gO7Esl",
"timestamp": 1791111829,
"data": [
...
]
}
How to...
Get a model's complete dataset?
For our favorite Vespa T5, do it like this:
- Query all models, pick your desired one
Get https://api.getriebesalat.de/v1/model - "Vespa PX 125 T5" hasid: 2 - Get Data for Vespa T5 (by
id= 2):
Get https://api.getriebesalat.de/v1/model/2 -archis lf,id_primaeris 2,id_getriebeis 1,id_reifenis 4 - Query related primary gear data (by
id_primaer= 2)
Get https://api.getriebesalat.de/v1/primary/2 - Query related gearbox data (by
id_getriebe= 1)
Get https://api.getriebesalat.de/v1/gears/1 - Query related tyre data (by
id_reifen= 4)
Get https://api.getriebesalat.de/v1/tyre/4 - You're set
Get an rpm-to-speed graph? (Available soon)
- Query all models, pick your desired one
- Query related primary gear data (from
id_primaer) - Query related gearbox data (from
id_getriebe) - Query related tyre data (from
id_reifen) - Query the rpm-to-speed data for model, primary gears, gearbox and tyre
- Create a rpm-to-speed graph from this data for each gear yourself (GET
/v1/arch/speed/id_primaer/id_getriebe/id_reifen)
Example queries
GET /v1/model - Get all models
Data element structure:
- id (integer): Database ID
- name (string): Common name of model
- prefix (string): Frame prefix(es) like "VNX5T"
- make (string): Vendor
- model (string): Model, mostly "Vespa"
- type (string): Always "scooter" at the moment
- arch (string): Frame type: "sf", "lf" or "wf" for type "scooter"
- id_primaer (integer): Database ID of primary gear set used by this model
- id_getriebe (integer): Database ID of gearbox used by this model
- id_reifen (integer): Database ID of tyre used by this model
- timestamp (integer): UNIX timestamp of database entry
null), as the database structure is currently being rewritten
to use junction tables.
{
"id": 2,
"name": "Vespa PX 125 T5",
"prefix": "VNX5T",
"make": "Piaggio (it)",
"model": "Vespa",
"type": "scooter",
"arch": "lf",
"id_primaer": 2,
"id_getriebe": 1,
"id_reifen": 4,
"timestamp": "2022-07-28 10:30:03"
},
{
"id": 80,
"name": "Vespa 150 Touren (T/4) Augsburg",
"make": "Vespa Augsburg GmbH (de)",
"model": "Vespa",
"type": "scooter",
"arch": "lf",
"id_primaer": null,
"id_getriebe": null,
"id_reifen": null,
"timestamp": "2022-07-29 06:46:52"
},
{
"id": 53,
"name": "Vespa 98",
"make": "Piaggio (it)",
"model": "Vespa",
"type": "scooter",
"arch": "wf",
"id_primaer": null,
"id_getriebe": null,
"id_reifen": null,
"timestamp": "2022-07-29 06:46:52"
},
{
"id": 38,
"name": "Vespa V90 SS",
"make": "Piaggio (it)",
"model": "Vespa",
"type": "scooter",
"arch": "sf",
"id_primaer": null,
"id_getriebe": null,
"id_reifen": null,
"timestamp": "2022-07-29 06:46:52"
},
[...]
GET /v1/primary/lf - Get all largeframe primary gear sets
Data element structure:
- id (integer): Database ID
- make (string): Make of gear set
- model (string): Model/Type of primary gear set, always "Vespa"
- arch (integer): Frame type ("sf", "lf", "wf")
- zza (integer): Teeth count ("Zähnezahl") gear A (#1)
- zzb (integer): Teeth count ("Zähnezahl") gear B (#2)
- zza_text (string): Description for gear A (#1)
- zzb_text (string): Description for gear B (#2)
- v_type (string): "s" for helical ("schräg") ,"g" for straight ("gerade")
- v_module (float): Module of gears, if known, else 0
- name (string): Name of primary gear set (for example "PX125 E default")
- models (string): List of model IDs with this primary gear set
- note (string): Note for primary gear set
- links (string): List of links
- timestamp (integer): UNIX timestamp of database entry
[
{
"id": 1,
"make": "Piaggio",
"model": "Vespa",
"arch": "lf",
"zza": 2,
"zzb": 2,
"zza_text": "1.0 - Dummy",
"zzb_text": "1.0 - Dummy",
"v_type": "s",
"v_module": 100,
"name": "",
"models": "",
"note": "Dummy mit Übersetzung 1,00 (neutral) zum Getriebe-Vergleich",
"links": "",
"timestamp": "2019-12-09 09:03:36"
},
{
"id": 2,
"make": "Piaggio",
"model": "Vespa",
"arch": "lf",
"zza": 20,
"zzb": 68,
"zza_text": "Piaggio-Kupplung",
"zzb_text": "Piaggio-Nebenwelle",
"v_type": "s",
"v_module": 0,
"name": "",
"models": "a:4:{i:1;i:2;i:2;i:6;i:3;i:19;i:4;i:28;}",
"note": "Mit 21, 22 & 23 (DRT) um jeweils 5% verlängerbar",
"links": "",
"timestamp": "2019-12-29 14:24:55"
},
[...]
]
GET /v1/gears/133 - Get gearbox with ID 133 (V50 S 4-speed)
Data element structure:
- id (integer): Database ID
- make (string): Make of gear set
- model (string): Model/Type of primary gear set, always "Vespa"
- arch (integer): Frame type ("sf", "lf", "wf")
- name (string): Name of gearbox (for example "Viergang V50 S")
- note (string): Note for gearbox (for example "Original mit 14/69 Primär")
- gears (integer): Number of gears in gearbox, most likely 3 or 4
- zz1a (integer): Teeth count ("Zähnezahl") gear A1 (#1), 1st gear
- zz1b (integer): Teeth count ("Zähnezahl") gear B1 (#1), 1st gear
- zz2a (integer): Teeth count ("Zähnezahl") gear A2 (#2), 2nd gear
- zz2b (integer): Teeth count ("Zähnezahl") gear B2 (#2), 2nd gear
- […]
- zz8a (integer): Teeth count ("Zähnezahl") gear A8 (#8), 8th gear
- zz8b (integer): Teeth count ("Zähnezahl") gear B8 (#8), 8th gear
- models (string): List of model IDs with this primary gear set
- links (string): List of links
- timestamp (integer): UNIX timestamp of database entry
{
"id": 133,
"make": "Piaggio",
"model": "Vespa",
"arch": "sf",
"name": "Viergang V50 S",
"note": "Original mit 14/69 Primär",
"gears": 4,
"zz1a": 10,
"zz1b": 60,
"zz2a": 15,
"zz2b": 54,
"zz3a": 21,
"zz3b": 49,
"zz4a": 26,
"zz4b": 43,
"zz5a": 0,
"zz5b": 0,
"zz6a": 0,
"zz6b": 0,
"zz7a": 0,
"zz7b": 0,
"zz8a": 0,
"zz8b": 0,
"models": "",
"links": "",
"timestamp": "2019-12-12 20:01:45"
}
GET /v1/tyre - Get all tyres
Data element structure:
- id (integer): Database ID
- name (string): Common name of wheel size
- make (string): Make of tyre as reference/data source
- rim (integer): Rim size in inch
- length (float): Circumference in Meters according to DIN 70020, also see here.
- timestamp (integer): UNIX timestamp of database entry
{
"id": 1,
"name": "3.50-8",
"make": "Conti",
"rim": 8,
"length": 1.154,
"timestamp": "2019-12-06 11:52:37"
},
{
"id": 2,
"name": "4.00-8",
"make": "Conti",
"rim": 8,
"length": 1.241,
"timestamp": "2019-12-06 11:52:37"
},
{
"id": 3,
"name": "3.00-10",
"make": "Conti",
"rim": 10,
"length": 1.235,
"timestamp": "2019-12-06 11:52:37"
},
[...]